CRTSV(1)

NAME
crtsv - mutual converter between TSV and QDBM Curia database

SYNOPSIS
crtsv import [-bnum num] [-dnum num] [-bin] name
crtsv export [-bin] name

DESCRIPTION
This manual page documents briefly the crtsv commands.

The command crtsv features mutual conversion between a database of Curia and a TSV text. This command is useful when data exchange with another version of QDBM or another DBM, or when data exchange between systems which have different byte orders. This command is used in the above format. name specifies a database name. The subcommand export reads TSV data from the standard input. If a key overlaps, the latter is adopted. -bnum specifies the number of the elements of the bucket array. -dnum specifies the number of division of the database. The subcommand import writes TSV data to the standard output.

OPTIONS
A summary of options is included below. For a complete description, see the file:///usr/share/doc/qdbm-doc/spex.html#curiacli.

-bnum num
    specify the number of the elements of the bucket array.

-dnum num
    specify the number of division of the database.

-bin
    treat records as Base64 format.

EXAMPLES
For example, to make a database to search `/etc/password' by a user name, perform the following command.
cat /etc/passwd | tr ':' ' ' | crtsv import casket

Thus, to retrieve the information of a user `mikio', perform the following command.
crmgr get casket mikio

SEE ALSO
qdbm(3), crmgr(1), curia(3), cropen(3).

AUTHOR
QDBM was written by Mikio Hirabayashi <mikio@fallabs.com>.

This manual page was written by Fumitoshi UKAI <ukai@debian.or.jp>, for the Debian project (but may be used by others).